<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini " style="height: auto; width: auto;"></body>
    <%- include('./include/navBar.ejs'); -%>
        <%- include('./include/slideBar.ejs'); -%>
            <div class="content-wrapper ">
                <div class="container-fluid">
                    <form id="updateProduct" enctype="multipart/form-data">
                        <!-- SELECT2 EXAMPLE -->
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">Add product</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <!-- /.form-group -->
                                        <div class="form-group">
                                            <label>name</label>
                                            <input type="text" class="form-control" name="name"
                                                value="<%= listProduct.name %>" style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>description</label>
                                            <input type="text" class="form-control"
                                                value="<%= listProduct.description %>" name="description"
                                                style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>category</label>
                                            <select class="form-control" aria-label="Default select example"
                                                name="category" style="width: 100%;">

                                                <option value="<%= listProduct.categoryId %>" class="text-dark"
                                                    selected>
                                                    <%= listProduct.category%>
                                                </option>

                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>price</label>
                                            <input type="text" class="form-control" name="price"
                                                value="<%= listProduct.price %>" style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>sellPrice</label>
                                            <input type="text" class="form-control" value="<%= listProduct.sellPrice %>"
                                                name="sellPrice" style="width: 100%;">
                                        </div>
                                        <div class="form-group">
                                            <label>images</label>
                                            <input type="file" class="form-control" name="images"
                                                value="<%= listProduct.images %>" style="width: 100%;" multiple>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <% listProduct.images.forEach((image )=> {%>
                                        <div id="<%= image._id%>" class="col-2">
                                            <img src="<%= process.env.BASE_URL %><%= image.imagePath %>" width="100px"><br>
                                            <button type="button" onclick="deleteImage('<%= image._id%>')"><i
                                                    class="fa fa-trash" style="font-size:15px;color:red"></i></button>

                                        </div>
                                        <% }); %>
                                </div>
                                <div class="col-2 btn-lg float-right">
                                    <button type="submit" class="btn btn-primary btn-block">Update
                                        product</button>
                                </div>
                            </div>
                        </div>
                        <div class="float-right " >
                            <a href="/admin/product/list/view" >Back >>></a>
                        </div>
                    </form>
                </div>
            </div>
            <%- include('./include/footer.ejs'); -%>
                <script>
                    $(document).ready(function (even) {
                        $('#updateProduct').validate({
                            rules: {
                                name: {
                                    required: true,
                                },
                                categoryId: {
                                    required: true
                                },
                                price: {
                                    required: true,
                                },
                                sellPrice: {
                                    required: true,
                                },
                            },
                            messages: {
                                name: {
                                    required: "Please enter a last name",
                                },
                                sellPrice: {
                                    required: "Please provide a price",
                                },
                                price: {
                                    required: "Please provide a price",
                                },
                            },
                            errorElement: 'span',
                            errorPlacement: function (error, element) {
                                error.addClass('invalid-feedback');
                                element.closest('.form-group').append(error);
                            },
                            highlight: function (element, errorClass, validClass) {
                                $(element).addClass('is-invalid');
                            },
                            unhighlight: function (element, errorClass, validClass) {
                                $(element).removeClass('is-invalid');
                            }
                        })
                        $("#updateProduct").submit((function (event) {
                            event.preventDefault();

                            $.ajax({
                                url: "/admin/product/update/<%= listProduct._id %>",
                                type: "put",
                                data: new FormData(this),
                                headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                contentType: false,
                                cache: false,
                                processData: false,
                                success: function (data) {
                                    if (data.responseCode == 200) {
                                        window.location.href = "/admin/product/list/view"
                                        toastr.success(data.responseMessage)
                                    }
                                    if (data.responseCode == 400) {
                                        toastr.error(data.responseMessage)
                                    }
                                },
                                error: function (e) {
                                    console.log(e)
                                }
                            });
                        }));
                    })
                    function deleteImage(imageId) {
                        event.preventDefault();
                        $.ajax({
                            url: `/admin/product/deleteFiles/${imageId}`,
                            type: "delete",
                            headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                            success: function (data) {
                                if (data.responseCode == 200) {
                                    $(`#${imageId}`).closest( 'div').remove();
                                    toastr.success(data.responseMessage)
                                }
                                if (data.responseCode == 400) {
                                    toastr.error(data.responseMessage)
                                }
                            },
                            error: function (e) {
                                console.log(e)
                            }
                        });
                    }
                </script>
                </body>

                </html>